#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1500two4xi.py ">
#<abstract4xi abstract = "fires to direction two and to distance 1500"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two15004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two15004xi
#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 1500
# -------------------------------------------------------------------------------------------------
shot2two15004xi = {
        1:'100x-779y-1277z',
        2:'1021x-1095y-74z',
        3:'1027x-1062y-255z',
        4:'1077x-1040y-89z',
        5:'1079x-1005y-270z',
        6:'107x-969y-1139z',
        7:'1128x-946y-284z',
        8:'1129x-981y-103z',
        9:'1174x-883y-299z',
        10:'1178x-920y-118z',
        11:'120x-599y-1369z',
        12:'1216x-819y-314z',
        13:'1223x-856y-133z',
        14:'1254x-753y-328z',
        15:'1265x-790y-148z',
        16:'1289x-684y-343z',
        17:'1304x-722y-163z',
        18:'131x-1492y-61z',
        19:'1320x-614y-358z',
        20:'1338x-652y-178z',
        21:'1347x-543y-372z',
        22:'1369x-581y-193z',
        23:'1370x-471y-387z',
        24:'1389x-397y-401z',
        25:'138x-760y-1285z',
        26:'1395x-508y-208z',
        27:'1404x-323y-416z',
        28:'1415x-248y-430z',
        29:'1418x-433y-223z',
        30:'1421x-173y-444z',
        31:'1423x-24y-473z',
        32:'1424x-98y-459z',
        33:'1436x-358y-238z',
        34:'1448x-388y-4z',
        35:'1451x-282y-252z',
        36:'1461x-205y-267z',
        37:'1467x-128y-282z',
        38:'1467x-311y-19z',
        39:'1469x-51y-297z',
        40:'1481x-234y-34z',
        41:'148x-578y-1375z',
        42:'1490x-156y-49z',
        43:'1496x-78y-64z',
        44:'156x-951y-1149z',
        45:'175x-739y-1293z',
        46:'186x-594y-1473z',
        47:'18x-811y-1261z',
        48:'203x-930y-1158z',
        49:'209x-1483y-76z',
        50:'210x-716y-1300z',
        51:'243x-692y-1308z',
        52:'248x-907y-1168z',
        53:'274x-666y-1315z',
        54:'27x-651y-1350z',
        55:'286x-1469y-91z',
        56:'292x-881y-1177z',
        57:'302x-639y-1322z',
        58:'329x-611y-1329z',
        59:'333x-854y-1186z',
        60:'354x-581y-1336z',
        61:'362x-1451y-106z',
        62:'373x-824y-1195z',
        63:'376x-551y-1343z',
        64:'396x-520y-1349z',
        65:'410x-793y-1204z',
        66:'414x-488y-1356z',
        67:'416x-12y-1440z',
        68:'429x-35y-1436z',
        69:'430x-456y-1362z',
        70:'437x-1429y-121z',
        71:'441x-59y-1432z',
        72:'443x-423y-1368z',
        73:'445x-760y-1213z',
        74:'451x-85y-1427z',
        75:'455x-390y-1374z',
        76:'460x-111y-1423z',
        77:'463x-358y-1380z',
        78:'467x-139y-1418z',
        79:'470x-325y-1386z',
        80:'472x-168y-1413z',
        81:'475x-293y-1392z',
        82:'476x-198y-1408z',
        83:'477x-261y-1397z',
        84:'477x-726y-1222z',
        85:'478x-229y-1403z',
        86:'507x-690y-1231z',
        87:'511x-1403y-136z',
        88:'535x-653y-1239z',
        89:'53x-1498y-46z',
        90:'560x-615y-1248z',
        91:'57x-985y-1129z',
        92:'582x-576y-1256z',
        93:'583x-1373y-151z',
        94:'59x-635y-1357z',
        95:'5x-998y-1119z',
        96:'602x-536y-1264z',
        97:'60x-796y-1269z',
        98:'620x-496y-1272z',
        99:'634x-455y-1280z',
        100:'635x-29y-1358z',
        101:'646x-64y-1351z',
        102:'647x-414y-1288z',
        103:'654x-1339y-166z',
        104:'655x-99y-1345z',
        105:'656x-374y-1295z',
        106:'662x-136y-1338z',
        107:'663x-333y-1303z',
        108:'667x-174y-1331z',
        109:'668x-292y-1310z',
        110:'670x-213y-1324z',
        111:'670x-252y-1317z',
        112:'704x-1324y0z',
        113:'722x-1301y-181z',
        114:'772x-1285y-14z',
        115:'788x-1260y-196z',
        116:'838x-1243y-29z',
        117:'852x-1216y-210z',
        118:'902x-1197y-44z',
        119:'913x-1168y-225z',
        120:'91x-618y-1363z',
        121:'963x-1148y-59z',
        122:'971x-1116y-240z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1500two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1500two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1500TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1500TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1500TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1500TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1500TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two15004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1500TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1500TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1500TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two15004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two15004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1500TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1500TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1500TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1500two4xi.py                            
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        